View Issue Details

IDProjectCategoryView StatusLast Update
0016035ScribusOS-Linuxpublic2020-06-26 22:56
Reporterjeff Assigned Tojghali  
PrioritynormalSeverityminorReproducibilitysometimes
Status closedResolutionno change required 
PlatformLinuxOSFedoraOS Version31
Product Version1.5.6.svn 
Target VersionFixed in Version 
Summary0016035: Scribus UI top menu position incorrectly offset under certain screen arrangements when running a GNOME Wayland session
DescriptionThis one is a bit of a corner case but I thought I'd report it since I have a screenshot to prove it: the menus show up at the wrong position, sometimes off-screen/cut-off, making them unusable under certain arrangements of monitors.
Steps To ReproduceIn a GNOME Wayland-based session (haven't tried with GNOME Xorg or other DEs, I'm just assuming this is Wayland/XWayland-related), arrange your screen's positions relative to each other like in my screenshot here (where you can see them staggered in gnome-control-center, instead of aligned), start Scribus, click the menubar, and notice that the menu shows at a weird position.

Changing the alignment of the two displays (i.e. aligning the height of the screens) makes the issue behave differently, much less pronounced.
Additional InformationI am running Scribus 1.5.6svn build ID "C--T-F-C1.16.0-64bit" from November 6, 2019, from https://copr.fedorainfracloud.org/coprs/luya/scribus-unstable/
TagsNo tags attached.
PatchNo

Activities

jeff

2020-01-23 23:54

reporter  

jghali

2020-02-17 23:31

administrator   ~0047401

We do not control directly menu position, this is handled by Qt. This issue may well be related to this Qt bug:
https://bugreports.qt.io/browse/QTBUG-81695

jghali

2020-06-26 22:56

administrator   ~0047744

There are indeed multiple Qt bugs related to menu position and multiple monitors configurations. Here just a few:
https://bugreports.qt.io/browse/QTBUG-73231
https://bugreports.qt.io/browse/QTBUG-75636
https://bugreports.qt.io/browse/QTBUG-81695
https://bugreports.qt.io/browse/QTBUG-85012

I am closing this issue as it is out of scope for us.

Issue History

Date Modified Username Field Change
2020-01-23 23:54 jeff New Issue
2020-01-23 23:54 jeff File Added: 2020-01-23 scribus dualscreen menu position incorrect under certain screen arrangements under Wayland.png
2020-02-17 23:31 jghali Note Added: 0047401
2020-06-26 22:56 jghali Assigned To => jghali
2020-06-26 22:56 jghali Status new => resolved
2020-06-26 22:56 jghali Resolution open => no change required
2020-06-26 22:56 jghali Note Added: 0047744
2020-06-26 22:56 jghali Status resolved => closed